# QI ActsAsCaching V0.5 

require 'rails'
require 'acts_as_caching'

p "Railtie loaded"

begin
module ActsAsCaching
  class Railtie < Rails::Railtie
    config.to_prepare do
      p "hook added"
      ActiveRecord::Base.send(:extend, ActsAsCaching::Hook)
    end
  end
end
rescue
p $!, $!.message
raise $!
end
